tigase.jaxmpp.j2se.connectors.socket

## Class Worker

- java.lang.Object
- - java.lang.Thread
  - - tigase.jaxmpp.j2se.connectors.socket.Worker

- All Implemented Interfaces:
    Runnable

      public abstract class Worker
      extends Thread

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Worker(Connector connector)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Reader` | `getReader()`
    `void` | `interrupt()`
    `protected abstract void` | `onErrorInThread(Exception e)`
    `protected abstract void` | `onStreamStart(Map<String,String> attribs)`
    `protected abstract void` | `onStreamTerminate()`
    `protected abstract void` | `processElement(Element elem)`
    `void` | `run()`
    `protected abstract void` | `workerTerminated()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Worker

          public Worker(Connector connector)

  - ### Method Detail

    - #### getReader

          protected abstract Reader getReader()

    - #### interrupt

          public void interrupt()

      Overrides:
        `interrupt` in class `Thread`

    - #### onErrorInThread

          protected abstract void onErrorInThread(Exception e)
                                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onStreamStart

          protected abstract void onStreamStart(Map<String,String> attribs)

    - #### onStreamTerminate

          protected abstract void onStreamTerminate()
                                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processElement

          protected abstract void processElement(Element elem)
                                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### workerTerminated

          protected abstract void workerTerminated()

Copyright © 2006–2016 Tigase. All rights reserved.